/*
 * @Title:  MapLocation.java
 * @Description:  地图信息
 * @version:  V1.0
 * @data:  2015-12-16 下午2:03:01
 * @Copyright:  Zac Co., Ltd. Copyright 2003-2015,  All rights reserved
 */
package com.zhilin.patrol.bean;

import android.text.TextUtils;

import java.io.Serializable;

/**
 * @author hanli
 */
public class MapLocationInfo implements Serializable {

    /**
     *
     */
    private static final long serialVersionUID = 1L;
    /** 地址 */
    private String address;
    /** 省份 */
    private String province;
    /** 城市 */
    private String city;
    /** 区域 */
    private String district;
    /** 街道 */
    private String street;
    /** 纬度 */
    private double latitude;
    /** 精度 */
    private double longitude;
    /** 附近点 */
    private String aoi;
    /** 兴趣点 */
    private String poi;

    public MapLocationInfo() {
    }

    public MapLocationInfo(String address, String province, String city, String district, String street, double latitude, double longitude, String aoi, String poi) {
        super();
        this.address = address;
        this.province = province;
        this.city = city;
        this.street = street;
        this.district = district;
        this.latitude = latitude;
        this.longitude = longitude;
        this.aoi = aoi;
        this.poi = poi;
    }

    public String getAoi() {
        return TextUtils.isEmpty(aoi) ? "" : aoi;
    }

    public void setAoi(String aoi) {
        this.aoi = aoi;
    }

    public String getPoi() {
        return TextUtils.isEmpty(poi) ? "" : poi;
    }

    public void setPoi(String poi) {
        this.poi = poi;
    }

    public String getStreet() {
        return TextUtils.isEmpty(street) ? "" : street;
    }

    public void setStreet(String street) {
        this.street = street;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getProvince() {
        return TextUtils.isEmpty(province) ? "" : province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return TextUtils.isEmpty(city) ? "" : city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getDistrict() {
        return TextUtils.isEmpty(district) ? "" : district;
    }

    public void setDistrict(String district) {
        this.district = district;
    }

    public double getLatitude() {
        return latitude;
    }

    public void setLatitude(double latitude) {
        this.latitude = latitude;
    }

    public double getLongitude() {
        return longitude;
    }

    public void setLongitude(double longitude) {
        this.longitude = longitude;
    }

    @Override
    public String toString() {
        return "MapLocationInfo{" +
                "address='" + address + '\'' +
                ", province='" + province + '\'' +
                ", city='" + city + '\'' +
                ", district='" + district + '\'' +
                ", street='" + street + '\'' +
                ", latitude=" + latitude +
                ", longitude=" + longitude +
                '}';
    }
    public String toStringTv(){
        return address;
    }
}
